
NETGEAR ProSafe FS752TP
Model ProSafe FS752TPPart no. FS752TP-100EUSEAN 606449077711
52 specifications
- Speed1 Gbit/s
- ConnectivityWired
- Weight4.87 kg
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity48
- 10G supportNo
Overview
- Speed
- 1 Gbit/s
- Connectivity
- Wired
- Weight
- 4.87 kg
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 48
- 10G support
- No
- Brand
- NETGEAR
- Category
- Network Switch
- Model
- ProSafe FS752TP
- Part numbers
- FS752TP-100EUS, FS752TP-100NAS
- EAN / UPC
- 606449077711, 606449077728, 6064490777280
- Also known as
- NETGEAR ProSafe FS752TP Managed Power over Ethernet (PoE)
Specifications
52 specifications in 14 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| MIB support | RFC 1213, RFC 1643, RFC 1493 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 48 |
| SFP module slots quantity | 2 |
| SFP/SFP+ slots quantity | 4 |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
| 10G support | No |
| Port mirroring | Yes |
| Full duplex | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| Number of VLANs | 128 |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 4000 entries |
| Supported data transfer rates | 10/100/1000 Mbps |
| Switching capacity | 1 Gbit/s |
| Store-and-forward | Yes |
| Maximum data transfer rate | 1 Gbit/s |
| Packet buffer memory | 1.5 MB |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP server, DHCP client |
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| Security algorithms | 802.1x RADIUS, HTTPS |
Multicast features
| Specification | Value |
|---|---|
| Multicast support | Yes |
Design
| Specification | Value |
|---|---|
| Stackable | Yes |
| LED indicators | Fan fail, Link, PoE, Power |
| Safety | UL/cUL 60950-1, CE EN 60950-1, CCC, CB |
Performance
| Specification | Value |
|---|---|
| Firmware upgradeable | Yes |
| Mean time between failures (MTBF) | 230761 h |
Power
| Specification | Value |
|---|---|
| Input voltage | 100 - 240 V |
| Power consumption (typical) | 539 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
Other features
| Specification | Value |
|---|---|
| Latency | 20 ms |
| Dimensions (WxDxH) | 440 x 316 x 43 mm |
| Connectivity technology | Wired |
| Bandwidth | 17.6 Gbit/s |
| Authentication method | TACACS+ |
| Input frequency | 50/60 Hz |
| Networking features | Gigabit Ethernet |
| Power LED | Yes |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 50 °C |
| Storage temperature (T-T) | -20 - 70 °C |
| Operating relative humidity (H-H) | 0 - 90% |
| Storage relative humidity (H-H) | 0 - 95% |
| Operating altitude | 3000 - 3000 m |
| Operating temperature (T-T) | 32 - 122 °F |
Weight & dimensions
| Specification | Value |
|---|---|
| Weight | 4.87 kg |
Certificates
| Specification | Value |
|---|---|
| Certification | CE EN 55022, EN 61000, EN 55024, FCC Part 15, VCCI, A, C, KC, CCC |
What people say
Reviews & ratings
NETGEAR ProSafe FS752TP
No reviews yet
Be the first to tell others how NETGEAR ProSafe FS752TP works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare NETGEAR ProSafe FS752TP
All network switch comparisons- NETGEAR ProSafe FS752TP vsNETGEAR GS752TXS Managed L3Compare specs
- NETGEAR ProSafe FS752TP vsNETGEAR ProSafe GS752TXSCompare specs
- NETGEAR ProSafe FS752TP vsNETGEAR GS108PE KitCompare specs
- NETGEAR ProSafe FS752TP vsNETGEAR GSM7228PS-100EU network switch Managed L2+ Power over Ethernet (PoE) 1U GreyCompare specs
- NETGEAR ProSafe FS752TP vsEMC DS-4900B SilverCompare specs
- NETGEAR ProSafe FS752TP vsD-Link DES-1016A network switch Unmanaged BrownCompare specs
- NETGEAR ProSafe FS752TP vsEnGenius ESW-8826 network switch ManagedCompare specs
- NETGEAR ProSafe FS752TP vsHP ProCurve 2626-PWR Power over Ethernet (PoE)Compare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















